companioncube(6)

NAME
companioncube - a vital aparatus.

SYNOPSIS
companioncube [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed ratio] [--spin] [--wander] [--count number] [--wireframe] [--fps]

DESCRIPTION
The symptoms most commonly produced by Enrichment Center testing are superstition, perceiving inanimate objects as alive, and hallucinations. The Enrichment Center reminds you that the weighted companion cube will never threaten to stab you and, in fact, cannot speak. In the event that the Weighted Companion Cube does speak, the Enrichment Center urges you to disregard its advice.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

--speed number
    How fast the animation should run. Less than 1 for slower, greater than 1 for faster.

--count number
    How many cubes. Default 3.

--spin
    --no-spin Instead of bouncing, float and spin.

--wander
    --no-wander Instead of bouncing, float and drift.

--wireframe
    Render in wireframe instead of solid.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), tronbit(6), lament(6), dangerball(6), xscreensaver(1)

COPYRIGHT
Copyright © 2011 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski, with apologies to the fine folks at Valve Software and Aperture Science.